libzypp 17.38.5

zyppng::CacheProviderContext Class Reference

`#include <zypp/ng/workflows/downloadwf.h>`

Inheritance diagram for zyppng::CacheProviderContext:

## Public Member Functions
| ZYPP_DECL_PRIVATE_CONSTR_ARGS (CacheProviderContext, ContextRef zyppContext, zypp::Pathname destDir)
const ContextRef & | zyppContext () const
const zypp::Pathname & | destDir () const
void | addCacheDir (const zypp::Pathname &p)
const std::vector< zypp::Pathname > & | cacheDirs () const
Public Member Functions inherited from zyppng::Base
| Base ()
virtual | ~Base ()
WeakPtr | parent () const
void | addChild (const Base::Ptr &child)
void | removeChild (const Ptr &child)
const std::unordered_set< Ptr > & | children () const
std::thread::id | threadId () const
template<typename T>
std::vector< std::weak_ptr< T > > | findChildren () const
template<typename T>
std::shared_ptr< T > | shared_this () const
template<typename T>
std::shared_ptr< T > | shared_this ()
template<typename T>
std::weak_ptr< T > | weak_this () const
template<typename T>
std::weak_ptr< T > | weak_this ()
template<typename SenderFunc, typename ReceiverFunc>
auto | connect (SenderFunc &&sFun, typename internal::MemberFunction< ReceiverFunc >::ClassType &recv, ReceiverFunc &&rFunc)
template<typename SenderFunc, typename ReceiverFunc, typename ... Tracker>
std::enable_if_t< std::is_member_function_pointer_v< SenderFunc >, connection > | connectFunc (SenderFunc &&sFun, ReceiverFunc &&rFunc, const Tracker &...trackers)

## Protected Member Functions
| ZYPP_ADD_PRIVATE_CONSTR_HELPER ()
Protected Member Functions inherited from zyppng::Base
| Base (BasePrivate &dd)

## Protected Attributes
ContextRef | _zyppContext
zypp::Pathname | _destDir
std::vector< zypp::Pathname > | _cacheDirs
Protected Attributes inherited from zyppng::Base
std::unique_ptr< BasePrivate > | d_ptr

## Additional Inherited Members
Public Types inherited from zyppng::Base
using | Ptr = std::shared_ptr<Base>
using | WeakPtr = std::weak_ptr<Base>
Static Public Member Functions inherited from zyppng::Base
template<typename Obj, typename Functor>
static decltype(auto) | make_base_slot (Obj *o, Functor &&f)
template<typename SenderFunc, typename ReceiverFunc>
static auto | connect (typename internal::MemberFunction< SenderFunc >::ClassType &s, SenderFunc &&sFun, typename internal::MemberFunction< ReceiverFunc >::ClassType &recv, ReceiverFunc &&rFunc)
template<typename SenderFunc, typename ReceiverFunc, typename ... Tracker>
static auto | connectFunc (typename internal::MemberFunction< SenderFunc >::ClassType &s, SenderFunc &&sFun, ReceiverFunc &&rFunc, const Tracker &...trackers)

## Detailed Description

Definition at line 27 of file downloadwf.h.

## Member Function Documentation

## ◆ ZYPP_ADD_PRIVATE_CONSTR_HELPER()

zyppng::CacheProviderContext::ZYPP_ADD_PRIVATE_CONSTR_HELPER | ( |  | ) |
| protected

## ◆ ZYPP_DECL_PRIVATE_CONSTR_ARGS()

zyppng::CacheProviderContext::ZYPP_DECL_PRIVATE_CONSTR_ARGS | ( | CacheProviderContext | ,
|  | ContextRef | zyppContext,
|  | zypp::Pathname | destDir )

## ◆ zyppContext()

const ContextRef & zyppng::CacheProviderContext::zyppContext | ( |  | ) | const

Definition at line 31 of file downloadwf.cc.

## ◆ destDir()

const zypp::Pathname & zyppng::CacheProviderContext::destDir | ( |  | ) | const

Definition at line 38 of file downloadwf.cc.

## ◆ addCacheDir()

void zyppng::CacheProviderContext::addCacheDir | ( | const zypp::Pathname & | p | ) |

Definition at line 44 of file downloadwf.cc.

## ◆ cacheDirs()

const std::vector< zypp::Pathname > & zyppng::CacheProviderContext::cacheDirs | ( |  | ) | const

Definition at line 50 of file downloadwf.cc.

## Member Data Documentation

## ◆ _zyppContext

ContextRef zyppng::CacheProviderContext::_zyppContext
| protected

Definition at line 43 of file downloadwf.h.

## ◆ _destDir

zypp::Pathname zyppng::CacheProviderContext::_destDir
| protected

Definition at line 44 of file downloadwf.h.

## ◆ _cacheDirs

std::vector<zypp::Pathname> zyppng::CacheProviderContext::_cacheDirs
| protected

Definition at line 45 of file downloadwf.h.

The documentation for this class was generated from the following files:

- zypp/ng/workflows/downloadwf.h
- zypp/ng/workflows/downloadwf.cc